{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function fieldcount, msg, dialog_box\r\ndeclare subroutine create_note\r\n$insert logical\r\n$insert msg_equates\r\n$insert quote_sigs_equ\r\n$insert lsl_users_equ\r\nequ CrLf$ to char(13):char(10)\r\n\r\nif .eng_signature->text <> '' then\r\n    MsgInfo = ''\r\n    MsgInfo<mtext$> = 'This RMA has already been signed by an engineer or production personnel.'\r\n    MsgInfo<micon$> = '!'\r\n    Void = msg( '', MsgInfo )\r\nend else\r\n\tSignatureInfo = xlate( 'CONFIG', 'QUOTE_SIGS', '', 'X' )\r\n\tUsers         = SignatureInfo<PSNPreProdSigs$>\r\n\tPassword      = xlate( 'LSL_USERS', @user4, lsl_users_password$, 'X' )\r\n\tlocate @user4 in Users using @vm setting Fpos then\r\n\t\tValid = dialog_box( 'QUOTE_SIG_PWD_ENTRY', @window, @user4:@vm:Password )\r\n\t\tif Valid then\r\n\t\t\t.eng_signature->text = @user4\r\n\t\t\t.eng_signature_name->text = oconv( @user4, '[XLATE_CONV,LSL_USERS*FIRST_LAST]' )\r\n\t\t\t@@window->savewarn = 1\r\n\t\tend \r\n\tend else\r\n\t\tMsgInfo = ''\r\n\t\tMsgInfo<mtext$> = 'You are not an authorized Engineering/Production signer...'\r\n\t\tMsgInfo<micon$> = 'H'\r\n\t\tVoid = msg( '', MsgInfo )\r\n\tend\r\nend\r\nreturn 0\r\n"
        }
    }
}